// bcadenas.cpp - Cadenas de caracteres
#include <iostream>
#include <iomanip>
#include "formato.h"
using namespace std;

int main()
{
  CNumEntero n; // esta clase permite escribir números enteros
                // con el formato especificado y con separadores
  cout.setf(ios::right);
  n = 123;     cout << setw(20) << n << endl;
  n = -12345;  cout << setw(20) << n << endl;
  n = 1234567; cout << setw(20) << n << "\n\n";

  cout.setf(ios::showpos);
  n = 123;     cout << setw(20) << n << endl;
  n = -12345;  cout << setw(20) << n << endl;
  n = 1234567; cout << setw(20) << n << "\n\n";

  cout.setf(ios::showbase);
  n = 0x123;     cout << setw(20) << hex << n << endl;
  n = -0x12345;  cout << setw(20) << hex << n << endl;
  n = 0x1234567; cout << setw(20) << hex << n << "\n\n";

  n = 0123;     cout << setw(20) << oct << n << endl;
  n = -012345;  cout << setw(20) << oct << n << endl;
  n = 01234567; cout << setw(20) << oct << n << "\n\n";
  
  // Forma simplificada
  cout.unsetf(ios::showpos);
  n = 1234567890;  cout << setw(20) << dec << n << endl;
  n = -1234567890; cout << setw(20) << dec << n << endl;
}

